Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-account-id
string<uuid>
required
x-workspace-id
string<uuid>
required

Query Parameters

folders
string[]
required

The paths of the folders to retrieve assets from.

Response

200 - application/json

Assets retrieved successfully.

id
string

Unique identifier for the asset

workspace_id
string

Identifier for the workspace to which the asset belongs

name
string

Name of the asset

asset_type_id
string

Identifier for the type of the asset

status_id
string

(Optional) Identifier for the status of the asset

isActive
boolean

Indicates if the asset is active

created_by_user_id
string

Identifier for the user who created the asset

locked_by_user_id
string | null

Identifier for the user who locked the asset

file_name
string

Name of the file associated with the asset

file_location
string

Location of the file associated with the asset

current_version_id
string

Identifier for the current version of the asset

sequence
integer<int64>

Sequence number of the asset

currentVersion
object

(Optional) Current version of the asset

version
object

(Optional) Version of the asset

versions
object[]

(Optional) List of versions of the asset

collaborators
object[]

(Optional) List of collaborators for the asset

favorited

(Optional) Indicates if the asset is favorited or a list of favorite assets

tags
object[]

(Optional) List of tags associated with the asset

libraries
object[]

(Optional) List of libraries associated with the asset

reviewRequests
object[]

(Optional) List of review requests for the asset

assetType
object

(Optional) Type of the asset

assetStatus
object

(Optional) Status of the asset